| Kea 3.0.2-git

isc::dns::TSIGKeyRing::TSIGKeyRingImpl Struct Reference

## Public Types
typedef pair< Name, TSIGKey > | NameAndKey
typedef map< Name, TSIGKey > | TSIGKeyMap

## Public Attributes
TSIGKeyMap | keys

## Detailed Description

Definition at line 251 of file tsigkey.cc.

## Member Typedef Documentation

## ◆ NameAndKey

typedef pair<Name, TSIGKey> isc::dns::TSIGKeyRing::TSIGKeyRingImpl::NameAndKey

Definition at line 253 of file tsigkey.cc.

## ◆ TSIGKeyMap

typedef map<Name, TSIGKey> isc::dns::TSIGKeyRing::TSIGKeyRingImpl::TSIGKeyMap

Definition at line 252 of file tsigkey.cc.

## Member Data Documentation

## ◆ keys

TSIGKeyMap isc::dns::TSIGKeyRing::TSIGKeyRingImpl::keys

Definition at line 254 of file tsigkey.cc.

The documentation for this struct was generated from the following file:

- tsigkey.cc